Subject: RE: Follow-up on Friday's meeting
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 17 May 2000 07:16:00 -0700 (PDT)

Thanks, Mark.  We can definitely handle the definitive corporate docs.  We
already have a good base from other transactions.  I look forward to
receiving your draft docs.

Regards,
Frank

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, May 16, 2000 8:31 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: RE: Follow-up on Friday's meeting

Frank -

There appears to have been a mild snafu with my e-mail address (my fault,
not yours) and I have just now seen your note from yesterday morning.  I am
working on the Posting Agreement.  I'm afraid Louise may have thought more
highly of my abilities to create something like that from whole cloth than
I deserved but we will try and get that to you soon.  Travis McCullough,
our corporate lawyer, will get together a term sheet on the equity side of
things which we should be able to get to you quickly (no later than
Thursday if his schedule permits).  I'm assuming that your legal team will
have to be draftsmen of the definitive corporate documents but the term
sheet should give them a good starting point (and let you confirm that the
lawyers on both sides are getting it right).

Sorry for the delay and confusion - we'll get these out to you as soon as
we can.

Mark